Plugins > Networks: VPN Helper

VPN Helper v5.2

Released on 2017-03-22, 6 months ago.
Requires Vuze 5.7.5.0 or higher.
Author:
Description:
For AirVPN, PIA, Mullvad VPNs. This plugin monitors your network's state and ensures Vuze is properly connected to your VPN.

Supported VPNs:
Private Internet Access
AirVPN
Mullvad

• Ensures Vuze is bound to the correct VPN interace.
• Ensures Port Forwarding, allowing incoming connections.
• Ensures various Vuze settings are correct (Binding, Enforced Binding, disabling of UPnP, NAT-PMP, etc)


This plugin does not help you with getting your VPN connected and running on your machine. Please see your VPN's site for VPN setup instructions

Screenshot:
VPN Helper
Version Info:
5.2: Fix AirVPN page loading; Increase wait times for page loads; Reset network interface check on detection of lost/no VPN.
5.1: Make current VPN's config tab the first one.
5.0: Attempt to reduce CPU (requires core 5731_B10+); increased version number to avoid potential update issues.
1.2: Improved VPN detection and manual interface exclusion option.
1.1: Fix first check not displaying in UI.
1.0: Initial Release.
History:
Plugin Version Minimum Vuze Version Required
5.2 5.7.5.0
5.0 5.7.4.0
1.2 5.5.1.0